VARKON Version 1.18A 2004-09-07

| ## rap_infloatarr - function
Description
Read rapid 'num' array to varkon float array
Syntax
RAP_INFLOATARR(client,var_name,first,last,data);
INT | client
STRING | var_name
INT | first
INT | last
FLOAT | data()
Principal parameters
client | - id of the created RPC connection to use
var_name | - the name of the rapid 'num' variable to read
first | - first position in rapid array to read
last | - last position in rapid array to read
data | - the data to read.
Optional parameters
none
Return value
An INT value equal to the current error status as below:
>=0 | RAP variable handling status: operation was successfull
-1 | Remote procedure call failed.
<-1 | RAP variable handling error message, see RAP service specification (3HAC 7697-1) page 127
Comments
RAP routines is only available for xvarkon (UNIX platforms), the use of RAP-routines need also to be enabled when building xvarkon. See $VARKON_ROOT/sources/makefile.
See also
tcp_connect() tcp_listen() tcp_close() tcp_outint() tcp_inint() tcp_outvec() tcp_invec() tcp_infloat() tcp_getlocal() tcp_getremote()

VARKON Homepage | Index